%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary: 	Linux Audio Session Handler
Name:		lash
Version:	0.5.4
Release:	%mkrel 9
License:	GPLv2+
Group:		Sound
URL:		http://www.nongnu.org/lash/
Source:		http://download.savannah.gnu.org/releases/%name/%{name}-%{version}.tar.gz
BuildRequires:	gtk2-devel
BuildRequires:	tetex-texi2html
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel 
BuildRequires:	libuuid-devel
BuildRequires:	imagemagick
BuildRequires:	python-devel
BuildRequires:	swig
Requires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LASH is a session management system for JACK and ALSA audio applications on
GNU/Linux. Its aim is to allow you to have many different audio programs
running at once, to save their setup, close them down and then easily reload
the setup at some other time. LASH doesn't deal with any kind of audio data
itself; it just runs programs, deals with saving/loading (arbitrary) data and
connects different kinds of virtual audio ports together (currently JACK and
ALSA sequencer ports). It can also be used to move entire sessions between
computers, or post sessions on the Internet for download.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	%mklibname -d lash 1

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%package -n python-%{name}
Summary:	Python bindings for the LASH audio session handler
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}
Python bindings for the LASH audio session handler.

%prep
%setup -q
perl -pi -e 's|lib/python|%{_lib}/python||g' configure

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"

%configure2_5x \
	--enable-alsa-midi \
	--enable-debug

make
										
%install
rm -rf %{buildroot}
%makeinstall_std

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}_panel
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;AudioVideoEditing;
EOF

#icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp icons/lash_48px.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 icons/lash_96px.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp icons/lash_16px.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README README.SECURITY TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/*


%changelog
* Mon Feb 22 2010 Funda Wang <fwang@mandriva.org> 0.5.4-9mdv2010.1
+ Revision: 509779
- BR uuid

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-8mdv2009.1
+ Revision: 354772
- rebuild

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-7mdv2009.1
+ Revision: 348118
- disable parallel build
- rebuild for latest readline

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.5.4-6mdv2009.1
+ Revision: 323755
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-5mdv2009.0
+ Revision: 270767
- remove stupid redefines
- fix mixture of tabs and spaces
- export -D_GNU_SOURCE to make it build
- put icons into fd.o directories
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Funda Wang <fwang@mandriva.org> 0.5.4-2mdv2008.1
+ Revision: 119657
- revert to python_sitelib
- New version 0.5.4
- drop old menu
- new devel policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Austin Acton <austin@mandriva.org>
    - increase release
    - even better python libdir hack
    - buildrequires swig
    - split off python package
    - move python_sitelib files to python_sitearch
    - new version
    - force midi
    - major 1.1 and epoch 1 (weird)
    - require python
    - remove info page


* Tue Sep 05 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.0-2mdv2007.0
- disable gtk1.2
- xdg menu

* Sun Feb 19 2006 Austin Acton <austin@mandriva.org> 0.5.0-1mdk
- initial package

